import { Comparator } from 'json-stable-stringify';
import { CompileFn, FormatFn } from './default';
export interface SmartlingDirectives {
    translate_paths: [
        {
            path: string;
            key: string;
            instruction: string;
        }
    ];
    variants_enabled: boolean;
    string_format: string;
    [k: string]: any;
}
export declare type SmartlingJson = {
    smartling: SmartlingDirectives;
} & Record<string, {
    message: string;
    description?: string;
}>;
export declare const format: FormatFn<SmartlingJson>;
export declare const compareMessages: Comparator;
export declare const compile: CompileFn<SmartlingJson>;
//# sourceMappingURL=smartling.d.ts.map