"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseFile = void 0;
var ember_template_recast_1 = require("ember-template-recast");
function extractText(node, fileName, options) {
    var _a, _b;
    if (node.path.original === 'format-message') {
        var message = (_a = node.params[0]) === null || _a === void 0 ? void 0 : _a.original;
        var desc = (_b = node.params[1]) === null || _b === void 0 ? void 0 : _b.original;
        var id = options.overrideIdFn(undefined, message, desc, fileName);
        options.onMsgExtracted(undefined, {
            id: id,
            defaultMessage: message,
            description: desc,
        });
    }
}
function parseFile(source, fileName, options) {
    var visitor = function () {
        return {
            MustacheStatement: function (node) {
                extractText(node, fileName, options);
            },
            SubExpression: function (node) {
                extractText(node, fileName, options);
            },
        };
    };
    (0, ember_template_recast_1.transform)(source, visitor);
}
exports.parseFile = parseFile;
